> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Members



## OpenAPI

````yaml /openapi.json post /admin/api/workspaces/{workspaceId}/invitations
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/workspaces/{workspaceId}/invitations:
    post:
      tags:
        - Admin Api
      summary: Invite Members
      operationId: AdminApiController_inviteMembers
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminInviteMembersDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminInviteMembersResponseDto'
components:
  schemas:
    AdminInviteMembersDto:
      type: object
      properties:
        emails:
          minItems: 1
          maxItems: 50
          type: array
          items:
            type: string
      required:
        - emails
      additionalProperties: false
    AdminInviteMembersResponseDto:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/AdminInviteMemberResultDto'
      required:
        - results
    AdminInviteMemberResultDto:
      type: object
      properties:
        email:
          type: string
        success:
          type: boolean
        error:
          type: string
          nullable: true
        emailEnqueued:
          type: boolean
          nullable: true
        invitation:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/InvitationResponseDto'
      required:
        - email
        - success
        - error
        - emailEnqueued
        - invitation
    InvitationResponseDto:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        email:
          type: string
        invitedById:
          type: string
        invitedByUserId:
          type: string
          nullable: true
        invitedByAdminId:
          type: string
          nullable: true
        governanceLevel:
          enum:
            - admin
            - member
          type: string
        memberTags:
          type: array
          items:
            type: string
        inviteeName:
          type: string
          nullable: true
        status:
          enum:
            - pending
            - revoked
            - accepted
            - expired
          type: string
        expiresAt:
          type: string
        acceptedAt:
          type: string
          nullable: true
        createdAt:
          type: string
        offeredLicenses:
          type: array
          items:
            $ref: '#/components/schemas/InvitationOfferedLicenseDto'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/InvitationTeamDto'
        projectedSeats:
          type: array
          items:
            $ref: '#/components/schemas/InvitationOfferedLicenseDto'
      required:
        - id
        - workspaceId
        - email
        - invitedById
        - invitedByUserId
        - invitedByAdminId
        - governanceLevel
        - memberTags
        - inviteeName
        - status
        - expiresAt
        - acceptedAt
        - createdAt
        - offeredLicenses
        - teams
        - projectedSeats
    InvitationOfferedLicenseDto:
      type: object
      properties:
        licenseId:
          type: string
        packageKey:
          type: string
        displayName:
          type: string
      required:
        - licenseId
        - packageKey
        - displayName
    InvitationTeamDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name

````